{% load i18n %}

<script type="text/javascript">
    $(document).ready(function(){
        var table=$('#tb').DataTable({
            dom: 'Bfrtip',
            autoWidth: true,
            buttons: [{extend:'excelHtml5',text: '导出到Excel'}],   
            language:lng,          
            data:{{data|safe}}
        });     
        table.columns().every( function () {                        
            var that = this;             
            $('input', this.footer() ).on( 'keyup change clear', function () {
                if ( that.search() !== this.value ) {
                    that.search( this.value ).draw();
                }
            });
        });    


        $('#data-content').on("click","a.btn-obj-add",function(){     
            event.preventDefault(); 
            $.RefreshContent($(this).attr('href'));            
        });  
        $('#tb').on("click","td a",function(event){
            event.preventDefault();    
            $.RefreshContent($(this).attr('href'));            
        });         

        
              
        $('.datepicker').datepicker({dateFormat: 'yy-mm-dd'});        
        $('#dt_fr').val('{{dt_fr}}');  
        $('#dt_to').val('{{dt_to}}'); 
        setDatePickerZh();

        $('.btn-qry').click(function(){
            var date_from,date_to;           
            date_fr=$('#dt_fr').val();
            date_to=$('#dt_to').val();
            var params=[];            
            if(date_fr!=''){params.push('dt_fr='+date_fr)};
            if(date_to!=''){params.push('dt_to='+date_to)};

            if(params.length==0){
                bootbox.alert("{% trans '请先输入查询条件！'%}");
            }else{
                $.RefreshContent('{{request.path}}?'+params.join('&'));
            }
        });
    });
</script>



<ol class="breadcrumb">
        <li>{% trans "领用核销" %}</li>
        <li>{% trans "业务员领用" %}</li>     
</ol>



<form role="form"  class="form-inline" style="margin-top:0px;">
    <div class="col-sm-3 input-group">
        <span class="input-group-addon">{% trans "开始日期"%}</span>
        <input class="datepicker form-control" id="dt_fr"  value="{{dt_fr}}"/>
    </div>
    <div class="col-sm-3 input-group">
        <span class="input-group-addon">{% trans "结束日期"%}</span>
        <input class="datepicker form-control" id="dt_to" value="{{dt_to}}"/>
    </div>

    <div style="float:right;">
        <span class='input-group-btn'>
            <a type="button" class='btn btn-primary btn-qry'>
                <span class='glyphicon glyphicon-search' style='padding-right:5px;'></span>{% trans '查找' %}
            </a>
        </span>
        <!--
        <button class="btn btn-sm btn-primary btn-qry" type="button"><i class="fa fa-search"></i> {% trans '查找' %}</button>
        -->
    </div>
</form>

<div class="clearfix"></div>
</form>



<div class="x_panel">
        <div  class="table-responsive">

            <table id='tb'  class="table table-striped table-bordered dt-responsive nowrap" cellspacing="0" width="100%">
            <thead>
                {% for c in clmns %}
                    <th>{{c}}</th>
                {% endfor %}
            </thead>
            <tbody></tbody>
            <tfoot>
                {% for c in clmns %}
                    <th><input type="text" placeholder="{{c}}"></th>            
                {% endfor %}            
            </tfoot>
            </table>
        </div>
</div>

